Debian Bug report logs - #540879
gtk2hs: FTBFS on alpha: I can only handle 32 bytes of non-floating-point arguments

version graph

Package: src:gtk2hs; Maintainer for src:gtk2hs is (unknown);

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Mon, 10 Aug 2009 18:54:04 UTC

Severity: important

Tags: help, upstream

Merged with 541608

Found in version gtk2hs/0.10.1-1

Fixed in version gtk2hs/0.10.1-3

Done: Marco Túlio Gontijo e Silva <marcot@riseup.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#540879; Package src:gtk2hs. (Mon, 10 Aug 2009 18:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Mon, 10 Aug 2009 18:54:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: gtk2hs: FTBFS on alpha: I can only handle 32 bytes of non-floating-point arguments
Date: Mon, 10 Aug 2009 20:51:50 +0200
Source: gtk2hs
Version: 0.10.1-1
Severity: important

Hi,

Your package is failing to build on alpha with the following
error:
gtk/Graphics/UI/Gtk/ModelView/CellLayout.chs.pp:202:0:
    On Alpha, I can only handle 32 bytes of non-floating-point arguments to foreign export dynamic
    When checking declaration:
        foreign import ccall safe "wrapper" mkSetAttributeFunc
          :: (Ptr CellLayout
              -> Ptr CellRenderer
                 -> Ptr TreeModel -> Ptr TreeIter -> Ptr () -> IO ())
             -> IO CellLayoutDataFunc
make[2]: *** [gtk/Graphics/UI/Gtk/ModelView/CellLayout.o] Error 1



Kurt





Merged 540879 541608. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Tue, 08 Sep 2009 21:03:02 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Sun, 27 Sep 2009 16:21:09 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Sun, 18 Oct 2009 19:15:07 GMT) Full text and rfc822 format available.

Reply sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
You have taken responsibility. (Sun, 18 Oct 2009 23:18:06 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Sun, 18 Oct 2009 23:18:07 GMT) Full text and rfc822 format available.

Message #16 received at 540879-close@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: 540879-close@bugs.debian.org
Subject: Bug#540879: fixed in gtk2hs 0.10.1-3
Date: Sun, 18 Oct 2009 22:36:07 +0000
Source: gtk2hs
Source-Version: 0.10.1-3

We believe that the bug you reported is fixed in the latest version of
gtk2hs, which is due to be installed in the Debian FTP archive:

gtk2hs-doc_0.10.1-3_all.deb
  to pool/main/g/gtk2hs/gtk2hs-doc_0.10.1-3_all.deb
gtk2hs_0.10.1-3.diff.gz
  to pool/main/g/gtk2hs/gtk2hs_0.10.1-3.diff.gz
gtk2hs_0.10.1-3.dsc
  to pool/main/g/gtk2hs/gtk2hs_0.10.1-3.dsc
libghc6-cairo-dev_0.10.1-3_amd64.deb
  to pool/main/g/gtk2hs/libghc6-cairo-dev_0.10.1-3_amd64.deb
libghc6-gconf-dev_0.10.1-3_amd64.deb
  to pool/main/g/gtk2hs/libghc6-gconf-dev_0.10.1-3_amd64.deb
libghc6-gio-dev_0.10.1-3_amd64.deb
  to pool/main/g/gtk2hs/libghc6-gio-dev_0.10.1-3_amd64.deb
libghc6-glade-dev_0.10.1-3_amd64.deb
  to pool/main/g/gtk2hs/libghc6-glade-dev_0.10.1-3_amd64.deb
libghc6-glib-dev_0.10.1-3_amd64.deb
  to pool/main/g/gtk2hs/libghc6-glib-dev_0.10.1-3_amd64.deb
libghc6-gnomevfs-dev_0.10.1-3_amd64.deb
  to pool/main/g/gtk2hs/libghc6-gnomevfs-dev_0.10.1-3_amd64.deb
libghc6-gstreamer-dev_0.10.1-3_amd64.deb
  to pool/main/g/gtk2hs/libghc6-gstreamer-dev_0.10.1-3_amd64.deb
libghc6-gtk-dev_0.10.1-3_amd64.deb
  to pool/main/g/gtk2hs/libghc6-gtk-dev_0.10.1-3_amd64.deb
libghc6-gtkglext-dev_0.10.1-3_amd64.deb
  to pool/main/g/gtk2hs/libghc6-gtkglext-dev_0.10.1-3_amd64.deb
libghc6-gtksourceview2-dev_0.10.1-3_amd64.deb
  to pool/main/g/gtk2hs/libghc6-gtksourceview2-dev_0.10.1-3_amd64.deb
libghc6-soegtk-dev_0.10.1-3_amd64.deb
  to pool/main/g/gtk2hs/libghc6-soegtk-dev_0.10.1-3_amd64.deb
libghc6-svgcairo-dev_0.10.1-3_amd64.deb
  to pool/main/g/gtk2hs/libghc6-svgcairo-dev_0.10.1-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 540879@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco Túlio Gontijo e Silva <marcot@riseup.net> (supplier of updated gtk2hs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 18 Oct 2009 16:41:22 -0200
Source: gtk2hs
Binary: libghc6-glib-dev libghc6-cairo-dev libghc6-gconf-dev libghc6-gio-dev libghc6-gnomevfs-dev libghc6-gstreamer-dev libghc6-gtk-dev libghc6-svgcairo-dev libghc6-glade-dev libghc6-gtkglext-dev libghc6-gtksourceview2-dev libghc6-soegtk-dev gtk2hs-doc
Architecture: source all amd64
Version: 0.10.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Marco Túlio Gontijo e Silva <marcot@riseup.net>
Description: 
 gtk2hs-doc - A GUI library for Haskell (Gtk2Hs) -- documentation and examples
 libghc6-cairo-dev - A GUI library for Haskell (Gtk2Hs) -- Cairo bindings
 libghc6-gconf-dev - A GUI library for Haskell (Gtk2Hs) -- GConf bindings
 libghc6-gio-dev - A GUI library for Haskell (Gtk2Hs) -- GIO bindings
 libghc6-glade-dev - A GUI library for Haskell (Gtk2Hs) -- libglade bindings
 libghc6-glib-dev - A GUI library for Haskell (Gtk2Hs) -- GLib bindings
 libghc6-gnomevfs-dev - A GUI library for Haskell (Gtk2Hs) -- GNOME VFS bindings
 libghc6-gstreamer-dev - A GUI library for Haskell (Gtk2Hs) -- GStreamer bindings
 libghc6-gtk-dev - A GUI library for Haskell (Gtk2Hs) -- GTK+ bindings
 libghc6-gtkglext-dev - A GUI library for Haskell (Gtk2Hs) -- gtkglext bindings
 libghc6-gtksourceview2-dev - A GUI library for Haskell (Gtk2Hs) -- GtkSourceView2 bindings
 libghc6-soegtk-dev - A GUI library for Haskell (Gtk2Hs) -- soegtk bindings
 libghc6-svgcairo-dev - A GUI library for Haskell (Gtk2Hs) -- GTK+ bindings
Closes: 540879
Changes: 
 gtk2hs (0.10.1-3) unstable; urgency=low
 .
   * debian/control: Specify supported architectures in gio and
     gtksourceview2. (Closes: #540879)
Checksums-Sha1: 
 bbed0a1d3a58c01de27c72ec1a3ae3aba594f359 1921 gtk2hs_0.10.1-3.dsc
 4aebce90d7f4e4c677c49fd9be0b75beaf39ac05 12986 gtk2hs_0.10.1-3.diff.gz
 c5a9091d81df6a2f09b74c3ef2453bbc7a7067c7 1936134 gtk2hs-doc_0.10.1-3_all.deb
 b1aad4183892df6fd3d083ec476182fc28f8f26e 390122 libghc6-glib-dev_0.10.1-3_amd64.deb
 791c287175d451e40c902cfd3dd088fadb1d3d4c 618080 libghc6-cairo-dev_0.10.1-3_amd64.deb
 f19c034646ce1f7a9bd9ab5440021909e259eff8 210570 libghc6-gconf-dev_0.10.1-3_amd64.deb
 2b2f8f388d263207743d154c8cf1bd68c1ccbc81 450094 libghc6-gio-dev_0.10.1-3_amd64.deb
 52436b1d9ca88b53003b3381a8c05baad792e016 754474 libghc6-gnomevfs-dev_0.10.1-3_amd64.deb
 fd29d411fc467c3be283a1e83cf66056b0109f66 1552110 libghc6-gstreamer-dev_0.10.1-3_amd64.deb
 37d4d7834a403ce12ddc0589c725382522eba905 5548586 libghc6-gtk-dev_0.10.1-3_amd64.deb
 f62ba117c279fd3797593c116f678a8d5a158695 104594 libghc6-svgcairo-dev_0.10.1-3_amd64.deb
 1fc499c3ad42bb315b5c243aeaa2e3bfbb6f8573 111112 libghc6-glade-dev_0.10.1-3_amd64.deb
 bac217cca65444feb9803d1dc9e7468db461c8d1 195658 libghc6-gtkglext-dev_0.10.1-3_amd64.deb
 348a13551006056b9a87345dd5a3d472211726e6 296636 libghc6-gtksourceview2-dev_0.10.1-3_amd64.deb
 8187d14fb69ce608de4b1cd131734d4efccf1829 229458 libghc6-soegtk-dev_0.10.1-3_amd64.deb
Checksums-Sha256: 
 d0c4dbad765a7628799eb319e6b184967eea7e4918cd2d83c859820892d51898 1921 gtk2hs_0.10.1-3.dsc
 2de28dcad2b5278611ae018cd8c3265f98b43ccde086cc0ca783c0db36ba4a7d 12986 gtk2hs_0.10.1-3.diff.gz
 d771384518210247815ff0a69b828a98cc2fcdbfd16bddbe7b4feba93024afba 1936134 gtk2hs-doc_0.10.1-3_all.deb
 814d33fc2687ea6a7f86993ce2ed7ac063ebef3f9dde30e573d3fd085bf19440 390122 libghc6-glib-dev_0.10.1-3_amd64.deb
 debf1caa217b28d35e53a9c8999e7a309e90dd1b14ab5413c3cd112bf1234518 618080 libghc6-cairo-dev_0.10.1-3_amd64.deb
 bfd4d7ba102d6d9bc4053023a0cf286cd56846c732a89e2d4708ca235e5f4ab6 210570 libghc6-gconf-dev_0.10.1-3_amd64.deb
 04100b0f9c6b3da88061b2567d2c7a4e66caf1e08a8e74e86966226ef20f8ac5 450094 libghc6-gio-dev_0.10.1-3_amd64.deb
 825ed852e4b695135a3e7f63760ac5164ee18c13bcad12661c6c68fd8f87cc19 754474 libghc6-gnomevfs-dev_0.10.1-3_amd64.deb
 9433420fa4254138a47a3f0ae9762fb643dddaebcd78009438f078751293a2d8 1552110 libghc6-gstreamer-dev_0.10.1-3_amd64.deb
 2724f55d134f4055c723ebca302c8b27c6aca5da713ead77191e0a0513035a4f 5548586 libghc6-gtk-dev_0.10.1-3_amd64.deb
 8d78b07546a0fb55ab7c3f51be541d01531537f210ce682267e6d19a06eedf58 104594 libghc6-svgcairo-dev_0.10.1-3_amd64.deb
 0cbb0768fa84499b6f3f40b93451f8101c21c44f4618866b50a9ca8603cf2361 111112 libghc6-glade-dev_0.10.1-3_amd64.deb
 77ec493713107d36e3d0b8eabb8b1346a1ef1e7067382eae933c4084b9e7266d 195658 libghc6-gtkglext-dev_0.10.1-3_amd64.deb
 09b422cd89ef093b721d0a22ae171a4a13b8f0c620dcb006640e124ed7dce150 296636 libghc6-gtksourceview2-dev_0.10.1-3_amd64.deb
 38da60a11b8346e690c9810a5426cab66d17f23f175577415dc675e134a50969 229458 libghc6-soegtk-dev_0.10.1-3_amd64.deb
Files: 
 9e0f4545be48e18e07f780081ffc142f 1921 haskell optional gtk2hs_0.10.1-3.dsc
 679ab04c083ffab82a0f80afccc8bfc4 12986 haskell optional gtk2hs_0.10.1-3.diff.gz
 b06bc987423a94662f36a9a6c081ef9a 1936134 doc optional gtk2hs-doc_0.10.1-3_all.deb
 03d60a0a0c93c3e517dea25847799fc8 390122 haskell optional libghc6-glib-dev_0.10.1-3_amd64.deb
 eff17c9bdd966792b3cccd2c045be2e5 618080 haskell optional libghc6-cairo-dev_0.10.1-3_amd64.deb
 7056878c3ac59883fb73f89ec2fe39c5 210570 haskell optional libghc6-gconf-dev_0.10.1-3_amd64.deb
 ef10c3e951db6a0abb97daa339fd1fe1 450094 haskell optional libghc6-gio-dev_0.10.1-3_amd64.deb
 604a294703b03e92152726f734e5e60f 754474 haskell optional libghc6-gnomevfs-dev_0.10.1-3_amd64.deb
 073586908375b98a5a65ec6c59e764bd 1552110 haskell optional libghc6-gstreamer-dev_0.10.1-3_amd64.deb
 1c8da7236bc918da0c23ed8f3f23bb00 5548586 haskell optional libghc6-gtk-dev_0.10.1-3_amd64.deb
 38c10845d05311ca5233489ebc060e7e 104594 haskell optional libghc6-svgcairo-dev_0.10.1-3_amd64.deb
 16c51cfb4a1de89652eed6c39fecba6c 111112 haskell optional libghc6-glade-dev_0.10.1-3_amd64.deb
 54ae9da64c5068f591de380c6c194e40 195658 haskell optional libghc6-gtkglext-dev_0.10.1-3_amd64.deb
 83efe417880c2e2bf76f614f119f5c02 296636 haskell optional libghc6-gtksourceview2-dev_0.10.1-3_amd64.deb
 78278fb2c2a9eaf5443456730c4c2487 229458 haskell optional libghc6-soegtk-dev_0.10.1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrbgmoACgkQhAwOmkV1TkTf3ACeNrlFhTwlnr7p74ehILzEFCCY
iGcAn3AMxRxT6BlAR1wJGYZJG8MqhZ6t
=YgKj
-----END PGP SIGNATURE-----





Reply sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
You have taken responsibility. (Sun, 18 Oct 2009 23:18:08 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Sun, 18 Oct 2009 23:18:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Nov 2009 07:32:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:39:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.